Name: installer-school-server
Version: 0.2
Release: alt11.M41.7
Packager: Alexandra Panyukova <mex3@altlinux.ru>

Summary: Installer common files
License: GPL
Group: System/Configuration/Other

Source: %name-%version.tar

BuildRequires: alterator rpm-devel

%description
Installer common files

%package stage2
Summary: Installer stage2
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage2
#modules
Requires: alterator-sysconfig
Requires: alterator-notes
Requires: alterator-tzone openntpd
Requires: alterator-datetime
Requires: alterator-vm
Requires: x-cursor-theme-jimmac
Requires: ImageMagick

%description stage2
Installer stage2

%package stage3
Summary: Installer stage3
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage3
#modules
Requires: alterator-lilo
Requires: alterator-office-server
#Requires: alterator-users
Requires: alterator-apt
Requires: alterator-net-eth dhcpcd
Requires: alterator-net-general

%description stage3
Installer stage3

%prep
%setup -q

%install
%makeinstall

%find_lang alterator-school-server

%files -f alterator-school-server.lang
%_datadir/install2/help/*

%files stage2
%_datadir/install2/installer-steps
%_datadir/install2/postinstall.d/*
%_datadir/install2/preinstall.d/*
%_datadir/install2/initinstall.d/*
%_datadir/install2/steps/*

%files stage3
%_datadir/alterator/ui/school-server

%changelog
* Fri Feb 13 2009 Alexandra Panyukova <mex3@altlinux.ru> 0.2-alt11.M41.7
- new postinstall script for alterator-mirror

* Tue Dec 26 2008 Alexandra Panyukova <mex3@altlinux.ru> 0.2-alt11.M41.6
- script for adding 8080 port to squid.conf added

* Tue Dec 09 2008 Alexandra Panyukova <mex3@altlinux.ru> 0.2-alt11.M41.5
- home preinstall script corrected

* Mon Dec 08 2008 Alexandra Panyukova <mex3@altlinux.ru> 0.2-alt11.M41.4
- check for partition with / added

* Mon Dec 08 2008 Alexandra Panyukova <mex3@altlinux.ru> 0.2-alt11.M41.3
- net-iptables script removed

* Sat Dec 06 2008 Alexandra Panyukova <mex3@altlinux.ru> 0.2-alt11.M41.2
- build for school server

* Sat Dec 06 2008 Alexandra Panyukova <mex3@altlinux.ru> 0.2-alt5.M41.1
- preinstall and postinstall scripts added

* Wed Nov 05 2008 Alexandra Panyukova <mex3@altlinux.ru> 0.2-alt5.M41
- Version for M41
- sysconfig step added

* Fri Dec 14 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt4
- Xinetd hook to disable localhost-only access.
- Check alterator-firewall backend presence before call.

* Mon Nov 19 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt3
- Alterator-ulogd hook.

* Mon Nov 19 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt2
- Use $destdir in postinstall hooks.

* Wed Oct 10 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt1
- Merge installer-hpc-0.2-alt2.
- Add translations.
- Alterator-iptables hook.
- Carry finish step (finish.scm).

* Sat Sep 08 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Initial build based on installer-hpc.
